# Class JShareApi

#### Hierarchy (View Summary)

- JBaseApi
  - JShareApi

- Defined in jamespot-user-api/src/apis/share/share.ts:5

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

contentObjectLinks
contentSetObjectAccessRule

## Constructors

### constructor

- new JShareApi(jApi: JamespotUserApi): JShareApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns JShareApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### contentObjectLinks

- contentObjectLinks(uri: string): Promise<ApiWrapper<number, BaseMessages>>

  #### Parameters

  - uri: string

  #### Returns Promise<ApiWrapper<number, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/share/share.ts:6

### contentSetObjectAccessRule

- contentSetObjectAccessRule(
  uri: string,
  rule: "link" | "invitation",
  hash: string,
  ): Promise<ApiWrapper<boolean, BaseMessages>>

  #### Parameters

  - uri: string
  - rule: "link" | "invitation"
  - hash: string

  #### Returns Promise<ApiWrapper<boolean, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/share/share.ts:15